Skip to main content
`Ctrl`+`K`

# numpy.random.BitGenerator.random_raw

method

random.BitGenerator.random_raw(self, size=None)

  Return randoms as generated by the underlying BitGenerator

  Parameters:
    size int or tuple of ints, optional

      Output shape. If the given shape is, e.g., `(m, n, k)`, then `m * n * k` samples are drawn. Default is None, in which case a single value is returned.

    output bool, optional

      Output values. Used for performance testing since the generated values are not returned.

  Returns:
    out uint or ndarray

      Drawn samples.

  Notes

  This method directly exposes the raw underlying pseudo-random number generator. All values are returned as unsigned 64-bit values irrespective of the number of bits produced by the PRNG.

  See the class docstring for the number of bits returned.